Subject: bug#61026: 29.0.60; c-ts-mode: Broken indentation for loops and conditions without brace

From: Yuan Fu <[email-masked]>
Date: Mon, 6 Feb 2023 18:30:43 -0800

Knut Anders Hatlen <[email-masked]> writes:

> Hi,
>
> I'm still seeing odd indentation for conditions without braces. For
> example, invoking c-ts-mode-indent-defun (C-c C-q) with the point inside
> this function ...
>
> int f(int x) {
> if (x > 1)
> return x;
> else
> return x + 1;
> }
>
> ... results in the following indentation with the default GNU style:
>
> int f(int x) {
>   if (x > 1)
> return x;
>   else
> return x + 1;
> }
>
> I would have expected this:
>
> int f(int x) {
>   if (x > 1)
>     return x;
>   else
>     return x + 1;
> }
>
> Is something more needed for this bug, or is the problem I'm seeing a
> different bug?

My bad, I made some changes and didn’t push them, and I’m sitting here
wondering why everyone is seeing problems... Everything should indent
fine now.

Yuan